package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.OrderImage;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.OrderImageMapper")
public interface OrderImageMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(OrderImage record);

    OrderImage selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(OrderImage record);

    List<OrderImage> queryAllOrderImage(OrderImage record);

    List<OrderImage> queryOrderImageByPage(Map<String, Object> parameter);

    int delete(String id);

    OrderImage queryOrderImage(OrderImage record);

    List<OrderImage> query(OrderImage record);

    OrderImage getMemorySize(OrderImage record);

    List<OrderImage> queryAutoCleanOrderImage(OrderImage record);

    OrderImage getOrderImageTotalNum(OrderImage record);
}

